Loading...
Searching...
No Matches
apr_getopt.h File Reference

APR Command Arguments (getopt) More...

`#include "apr_pools.h"`
Include dependency graph for apr_getopt.h:

Go to the source code of this file.

## Data Structures

struct | apr_getopt_t
struct | apr_getopt_option_t

## Typedefs

typedef void() | apr_getopt_err_fn_t(void *arg, const char *err,...)
typedef struct apr_getopt_t | apr_getopt_t
typedef struct apr_getopt_option_t | apr_getopt_option_t

## Functions

apr_status_t | apr_getopt_init (apr_getopt_t **os, apr_pool_t *cont, int argc, const char *const *argv)
apr_status_t | apr_getopt (apr_getopt_t *os, const char *opts, char *option_ch, const char **option_arg)
apr_status_t | apr_getopt_long (apr_getopt_t *os, const apr_getopt_option_t *opts, int *option_ch, const char **option_arg)

## Detailed Description

APR Command Arguments (getopt)